Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.connecterra.alepc.api
Class PCStatus

    java.lang.Object
      com.connecterra.alepc.api.PCStatus

public class PCStatus
extends java.lang.Object

This is a type-safe enum which represents the conditions under which a programming cycle can fail.

Field Summary
`static PCStatus` | `CACHE_EMPTY` Indicates that a programming cycle could not be started because the EPC cache was empty.
`static PCStatus` | `ENGINE_ERROR` Indicates that the ALE engine itself has some kind of problem.
`static PCStatus` | `INCOMPATIBLE_TAG_TYPE` Indicates that the tag (or reader) is a of a type that is not compatible with the EPC value that was supplied to be written to the tag (for example, a 96-bit EPC written to a 64-bit tag).
`static PCStatus` | `LOCKED` Indicates that the tag is locked and therefore cannot be programmed.
`static PCStatus` | `MULTIPLE_IN_FIELD` Indicates that multiple tags were in the field of the programming cycle's reader(s).
`static PCStatus` | `NONE_IN_FIELD` Indicates that no tags were in the field of the programming cycle's reader(s).
`static PCStatus` | `NOT_WRITTEN` Indicates that the tag was not written (the verification readback yielded the original tag value).
`static PCStatus` | `READ_ONLY` Indicates that the tag is a read-only type and therefore cannot be programmed.
`static PCStatus` | `READER_BUSY` Indicates that one or more of the programming cycle's readers is already in use by a programming cycle or by an event cycle.
`static PCStatus` | `READER_ERROR` Indicates that one or more of the programming cycle's readers has some kind of problem.
`static PCStatus` | `SUCCESSFUL` Indicates that the programming cycle completed successfully.
`static PCStatus` | `VERIFY_ERROR` Indicates that the tag was mis-programmed (the verification readback yielded a CRC error or value other than the intended one).

Method Summary
`boolean` | `isSuccessful()` Tells if this status value represents a successful programming cycle outcome.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### SUCCESSFUL

    public static final PCStatus SUCCESSFUL

  Indicates that the programming cycle completed successfully.

### NONE_IN_FIELD

    public static final PCStatus NONE_IN_FIELD

  Indicates that no tags were in the field of the programming cycle's reader(s). If this condition is detected the programming cycle retries the operation (subject to PCSpec stopping conditions).

### NOT_WRITTEN

    public static final PCStatus NOT_WRITTEN

  Indicates that the tag was not written (the verification readback yielded the original tag value). If this condition is detected the programming cycle retries the operation (subject to PCSpec stopping conditions).

### VERIFY_ERROR

    public static final PCStatus VERIFY_ERROR

  Indicates that the tag was mis-programmed (the verification readback yielded a CRC error or value other than the intended one). If this condition is detected the programming cycle retries the operation (subject to PCSpec stopping conditions), unless the tag is known to be write-once.

### MULTIPLE_IN_FIELD

    public static final PCStatus MULTIPLE_IN_FIELD

  Indicates that multiple tags were in the field of the programming cycle's reader(s). If this condition is detected the programming cycle is immediately terminated.

### LOCKED

    public static final PCStatus LOCKED

  Indicates that the tag is locked and therefore cannot be programmed. If this condition is detected the programming cycle is immediately terminated.

### INCOMPATIBLE_TAG_TYPE

    public static final PCStatus INCOMPATIBLE_TAG_TYPE

  Indicates that the tag (or reader) is a of a type that is not compatible with the EPC value that was supplied to be written to the tag (for example, a 96-bit EPC written to a 64-bit tag). If this condition is detected the programming cycle is immediately terminated.

### READ_ONLY

    public static final PCStatus READ_ONLY

  Indicates that the tag is a read-only type and therefore cannot be programmed. If this condition is detected the programming cycle is immediately terminated.

### CACHE_EMPTY

    public static final PCStatus CACHE_EMPTY

  Indicates that a programming cycle could not be started because the EPC cache was empty. If this condition is detected the programming cycle is immediately terminated.

### READER_BUSY

    public static final PCStatus READER_BUSY

  Indicates that one or more of the programming cycle's readers is already in use by a programming cycle or by an event cycle. If this condition is detected the attempted programming cycle is immediately terminated.

### READER_ERROR

    public static final PCStatus READER_ERROR

  Indicates that one or more of the programming cycle's readers has some kind of problem.

### ENGINE_ERROR

    public static final PCStatus ENGINE_ERROR

  Indicates that the ALE engine itself has some kind of problem.

Method Detail

### toString

    public java.lang.String toString()

### isSuccessful

    public boolean isSuccessful()

  Tells if this status value represents a successful programming cycle outcome.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD